#ifndef _FEELPP_CONFIG_H_
#define _FEELPP_CONFIG_H_

/* the maximum of parameters for boost.parameter */
#define BOOST_PARAMETER_MAX_ARITY 24

/* Define to dummy `main' function (if any) required to link to the Fortran
   libraries. */
/* #undef F77_DUMMY_MAIN */

/* Define to a macro mangling the given C identifier (in lower and upper
   case), which must not contain underscores, for linking with Fortran. */
/* #undef F77_FUNC */

/* As F77_FUNC, but for C identifiers containing underscores. */
/* #undef F77_FUNC_ */

/* Define if F77 and FC dummy `main' functions are identical. */
/* #undef FC_DUMMY_MAIN_EQ_F77 */

/* Define to 1 if you have the ANN headers are available. */
#define FEELPP_HAS_ANN_H

/* define if Bamg is enabled */
/* #undef FEELPP_HAS_BAMG */

/* Define to 1 if you have the <Cnames.h> header file. */
/* #undef FEELPP_HAS_CNAMES_H */

/* Define to 1 if you have the <Eigen/Eigen> header file. */
/* #undef FEELPP_HAS_EIGEN_EIGEN */

/* Define to 1 if you have GINAC available. */
/* #undef FEELPP_HAS_GINAC */

/* Define to 1 if you have the GLPK headers available. */
#define FEELPP_HAS_GLPK_H

/* Define executable to launch MPI mode. */
#define MPIEXEC /usr/bin/mpiexec

/* Define the option used for setting the number of MPI processes. */
#define MPIEXEC_NUMPROC_FLAG -np

/* Define the path to Gmsh executable. */
#define GMSH_EXECUTABLE /usr/bin/gmsh

/* Define to 1 if you have the Gmsh headers available. */
#define FEELPP_HAS_GMSH_H

/* Define to 1 if you have the Gmsh library available. */
#define FEELPP_HAS_GMSH_LIBRARY

/* Define to 1 if you have the gperftools library available. */
/* #undef FEELPP_HAS_GPERFTOOLS */

/* Define to 1 if you have HDF5 available. */
#define FEELPP_HAS_HDF5

/* Define to 1 if you have the <inttypes.h> header file. */
#define FEELPP_HAS_INTTYPES_H

/* Define if the superlu library can be used. */
/* #undef FEELPP_HAS_LIBSUPERLU */

/* Define to 1 if you have the <MAdLib.h> header file. */
/* #undef FEELPP_HAS_MADLIB_H */

/* Define to 1 if you have the <memory.h> header file. */
#define FEELPP_HAS_MEMORY_H

/* Define to 1 if you have mkl support. */
/* #undef FEELPP_HAS_MKL */

/* Define to 1 if you have mumps support. */
#define FEELPP_HAS_MUMPS

/* Define if you have the <oct.h> header file. */
/* #undef FEELPP_HAS_OCT_H */

/* Define if the OPENMP is supported by the compiler. */
/* #undef FEELPP_HAS_OPENMP */

/* Define to 1 if you have petsc. */
#define FEELPP_HAS_PETSC 1

/* Define to 1 if you have the <petsc.h> header file. */
#define FEELPP_HAS_PETSC_H 1

/* Define to 1 if you have slepc. */
#define FEELPP_HAS_SLEPC 1

/* Define to 1 if you have the <slepc.h> header file. */
/* #undef FEELPP_HAS_SLEPC_H */

/* Define to 1 if you have the <slu_Cnames.h> header file. */
/* #undef FEELPP_HAS_SLU_CNAMES_H */

/* Define to 1 if you have the <stdint.h> header file. */
#define FEELPP_HAS_STDINT_H

/* Define if the STDIO FMEMOPEN is supported by the compiler. */
#define FEELPP_HAS_STDIO_FMEMOPEN

/* Define to 1 if you have the <stdlib.h> header file. */
#define FEELPP_HAS_STDLIB_H

/* Define to 1 if you have the <strings.h> header file. */
#define FEELPP_HAS_STRINGS_H

/* Define to 1 if you have the <string.h> header file. */
#define FEELPP_HAS_STRING_H

/* Define to 1 if you have the <suitesparse/umfpack.h> header file. */
/* #undef FEELPP_HAS_SUITESPARSE_UMFPACK_H */

/* Define to 1 if you have the <superlu/Cnames.h> header file. */
/* #undef FEELPP_HAS_SUPERLU_CNAMES_H */

/* Define to 1 if you have the <superlu/slu_Cnames.h> header file. */
/* #undef FEELPP_HAS_SUPERLU_SLU_CNAMES_H */

/* Define to 1 if you have the <sys/stat.h> header file. */
#define FEELPP_HAS_SYS_STAT_H

/* Define to 1 if you have the <sys/types.h> header file. */
#define FEELPP_HAS_SYS_TYPES_H

/* Define to 1 if you have tbb. */
/* #undef FEELPP_HAS_TBB */

/* Define to 1 if you have the <tbb.h> header file. */
/* #undef FEELPP_HAS_TBB_H */

/* Define to 1 if you have harts. */
/* #undef FEELPP_HAS_HARTS */

/* Define to 1 if you have nlopt. */
#define FEELPP_HAS_NLOPT

/* Define to 1 if you have Python. */
#define FEELPP_HAS_PYTHON

/* Define to 1 if you enabled Python wrapping. */
/* #undef FEELPP_ENABLE_PYTHON_WRAPPING */

/* Define to 1 if Boost.Python is available. */
#define FEELPP_HAS_BOOST_PYTHON

/* Define to 1 if you have the <ufsparse/umfpack.h> header file. */
/* #undef FEELPP_HAS_UFSPARSE_UMFPACK_H */

/* Define if the UMFPACK library is used. */
/* #undef FEELPP_HAS_UMFPACK */

/* Define to 1 if you have the <umfpack.h> header file. */
/* #undef FEELPP_HAS_UMFPACK_H */

/* Define to 1 if you have the <umfpack/umfpack.h> header file. */
/* #undef FEELPP_HAS_UMFPACK_UMFPACK_H */

/* Define to 1 if you have the <unistd.h> header file. */
#define FEELPP_HAS_UNISTD_H

/* Define to 1 if you have VTK . */
/* #undef FEELPP_HAS_VTK */

/* The path of installation */
/* #undef INSTALL_PATH */

/* Define if support for c++ class instantiation is enabled) */
#define FEELPP_INSTANTIATION_MODE 1

/* Define if minimal mesh support is required (order 1 mesh in 1D,2D,3D) */
#define FEELPP_MESH_MAX_ORDER 5

/* sizeof(size_t)==sizeof(uint) */
/* #undef FEELPP_SIZET_SAME_AS_UINT */

/* Define to 1 if your C compiler doesn't accept -c and -o together. */
/* #undef NO_MINUS_C_MINUS_O */

/* Define to the address where bug reports for this package should be sent. */
/* #undef PACKAGE_BUGREPORT */

/* Define to the full name of this package. */
/* #undef PACKAGE_NAME */

/* Define to the full name and version of this package. */
/* #undef PACKAGE_STRING */

/* Define to the one symbol short name of this package. */
/* #undef PACKAGE_TARNAME */

/* Define to the home page for this package. */
/* #undef PACKAGE_URL */

/* Define to the version of this package. */
/* #undef PACKAGE_VERSION */

/* Define to 1 if you have the ANSI C header files. */
/* #undef STDC_HEADERS */

/* Define to `unsigned' if <sys/types.h> does not define. */
/* #undef size_t */

/* Define if support for mpi class instantiation is enabled) */
#define FEELPP_ENABLE_MPI_MODE

/* Define if we have support for MPI IO */
/* #undef FEELPP_HAS_MPIIO */

/* Define sized types for MPI standards older than 2.2 version */
#define FEELPP_MPI_INT32 MPI_INT
/* #undef FEELPP_MPI_INT64 */

/* Define to 1 if you have GMM . */
/* #undef FEELPP_HAS_GMM */

#define FEELPP_CONFIG_OPTIONS "${FEELPP_CONFIG_OPTIONS}"

#endif
